/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPORESU                                                 */
/* Tabela : TIPORESU                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TIPORESU'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_TIPORESU
GO

CREATE TRIGGER DTULTATU_TIPORESU
ON TIPORESU
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPORESU', null, 'CDTIPORESU='+ CDTIPORESU+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TIPORESU
      SET DTULTATUTPRE = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TIPORESU.CDTIPORESU,0) = ISNULL(INSERTED.CDTIPORESU,0)) AND
            (ISNULL(TIPORESU.NMTIPORESU,0) = ISNULL(INSERTED.NMTIPORESU,0));
   END;
END;
GO


